import e from "./isArguments.js";
import t from "./isArray.js";
import n from "./isLength.js";
import r from "./_isIndex.js";
import i from "./_castPath.js";
import a from "./_toKey.js";
//#region ../../node_modules/lodash-es/_hasPath.js
function o(o, s, c) {
	s = i(s, o);
	for (var l = -1, u = s.length, d = !1; ++l < u;) {
		var f = a(s[l]);
		if (!(d = o != null && c(o, f))) break;
		o = o[f];
	}
	return d || ++l != u ? d : (u = o == null ? 0 : o.length, !!u && n(u) && r(f, u) && (t(o) || e(o)));
}
//#endregion
export { o as default };
